Class Fox::FXCalendar

In: | ../lib/fox/calendar.rb
Parent: | FXVerticalFrame

Calendar widget

## Events

The following messages are sent by FXCalendar to its target:

`SEL_COMMAND`: | sent when a day button is clicked; the message data is a Time object indicating the selected date

## Calendar options

`CALENDAR_NORMAL`: | normal display mode
`CALENDAR_READONLY`: | read-only mode

Methods

dayLabelFont= headerBackColor headerBackColor= headerTextColor headerTextColor= new

Attributes

dayLabelFont | [R] | Font used for days [FXFont]
selected | [R] | Currently selected date [Time]

Public Class methods

new(parent, initial_date=Time.now, tgt=nil, sel=0, opts=0, x=0, y=0, w=0, h=0, pl=DEFAULT_PAD, pr=DEFAULT_PAD, pt=DEFAULT_PAD, pb=DEFAULT_PAD)

Returns an initialized calendar widget

Public Instance methods

headerBackColor()

Return the current header background color

headerBackColor=(clr)

Set the header background color

headerTextColor()

Return the current header text color

headerTextColor=(clr)

Set the header text color

dayLabelFont=(font)

Change the font used for the days of the weeks